# 阳山县·政务（信息）公开
# https://www.yangshan.gov.cn/xxgk/  (清远 NF-CMS 集群下 xxgk 路径变体)
#
# DOM 结构（2026-04-27 实测）：
#   列表: <ul class="list3"><li><a href title="…">…</a><span>YYYY-MM-DD</span></li> × N</ul>
#   详情: <h1.article-title>标题</h1>
#         <div class="author">时间：<e>YYYY-MM-DD HH:MM</e> 来源：本网</div>
#         <div class="article-content">正文…</div>

site_id: yangshan_xxgk
site_name: 阳山县·政务公开
base_url: http://www.yangshan.gov.cn
default_strategy: httpx
concurrency: 1
interval_sec: 10
enabled: true
respect_robots: true

default_column:
  list_selector:
    row: "ul.list3 li, div.pageList li, .newsList li"
    href: "a::attr(href)"
    title: "a::attr(title), a::text"
    date: "span::text"
  pagination:
    type: path_pattern
    pattern: "index_{page}.html"
    start: 2
    max_pages: 30
  detail:
    title: >-
      h1.article-title::text, h1.title::text, h1::text,
      div.article-title::text, div.title::text
    publish_time: >-
      div.author e::text, div.info span::text, span.date::text,
      span.time::text, em.time::text
    source: >-
      span.source::text, div.info em::text, div.author::text
    content: >-
      div.article-content, div.content, div.TRS_Editor, div.article
    attachment_css: >-
      a[href$='.pdf'], a[href$='.doc'], a[href$='.docx'],
      a[href$='.xls'], a[href$='.xlsx'], a[href$='.zip'], a[href$='.wps'],
      a.nfw-cms-attachment, a[href*='/attachment/']

columns: []
